Magick::DrawableSkewY Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableSkewY:
[legend]
Collaboration diagram for Magick::DrawableSkewY:
[legend]

## Public Member Functions

| DrawableSkewY (double angle_)
| ~DrawableSkewY (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | angle (double angle_)
double | angle (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1688 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableSkewY()

Magick::DrawableSkewY::DrawableSkewY | ( | double | angle_ | ) |

inline

Definition at line 1691 of file Drawable.h.

## ~DrawableSkewY()

Magick::DrawableSkewY::~DrawableSkewY | ( | void |  | ) |

Definition at line 1148 of file Drawable.cpp.

## Member Function Documentation

## angle() [1/2]

void Magick::DrawableSkewY::angle | ( | double | angle_ | ) |

inline

Definition at line 1703 of file Drawable.h.

## angle() [2/2]

double Magick::DrawableSkewY::angle | ( | void |  | ) | const

inline

Definition at line 1707 of file Drawable.h.

## copy()

Magick::DrawableBase * Magick::DrawableSkewY::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1155 of file Drawable.cpp.

## operator()()

void Magick::DrawableSkewY::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1151 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp